Subject: bug#60961: 29.0.60; Compiling emacs-29 without treesitter outputs warnings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Jan 2023 17:17:22 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 20 Jan 2023 15:43:33 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> So I can either just make sure that no modes require across modes, or
> >> make that "lib" right now.  What do you think?
> >
> > I tend to the "lib" method.  Mostly because several modes, including
> > some that are unrelated to C, want the code which was written for
> > C/C++, and so it is possible that there's some general feature here
> > waiting for us to refactor the code -- in which case perhaps the code
> > should be in treesit.el?
> >
> > IOW, how come JS, Rust, and Typescript all want comment-related setup
> > that was written for C?  If this is just a coincidence, then perhaps
> > duplicating the code is a better idea, but if there's some underlying
> > commonality, we should have common code in treesit.el, or maybe in
> > some c-ts-common.el?
> 
> I can start by moving it into treesit.el, then we can maybe extract
> something out later.  Sounds good?  I can do it tonight, unless any of
> you object :)

SGTM, but let's hear from Yuan before you start working on this.

Thanks.